package com.crm.rely.backend.core.entity.manager;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 账户杠杠修改
 * @author: houn
 * @create: 2021-01-28 13:52
 **/
@Data
public class AccountLeverageUpdateToManagerEntity {
    private String serial;
    private Long login;

    private String platform;
    private List<Long> logins;
    private Integer leverage;

    private Integer status;

    private String routeType;

    public void addLogins(Long login) {
        if (logins == null) {
            logins = new ArrayList<>(100);
        }
        logins.add(login);
    }
}
